## haskell-shake 0.13.2+dfsg

=== Examples/MakeTutor/Makefile ===
# From http://www.cs.colby.edu/maxwell/courses/tutorials/maketutor/, Makefile 4

CC=gcc
CFLAGS=-I.
DEPS = hellomake.h
OBJ = hellomake.o hellofunc.o 

hellomake$(EXE): $(OBJ)
    $(CC) -o $@ $^ $(CFLAGS)

%.o: %.c $(DEPS)
    $(CC) -c -o $@ $< $(CFLAGS)

.PHONY: clean
clean:
    rm hellomake$(EXE)
    rm *.o

=== debian/changelog ===
haskell-shake (0.13.2+dfsg-2build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Jul 2014 17:24:36 +0100

haskell-shake (0.13.2+dfsg-2) unstable; urgency=medium

  * Disable tests on architectures without GHCi; they currently rely on
    runhaskell.

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Jul 2014 00:42:46 +0100

haskell-shake (0.13.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #751785)

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Jun 2014 21:25:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_URL = http://hackage.haskell.org/package/shake-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_PACKAGE := shake
DEB_UPSTREAM_REPACKAGE_EXCLUDES := ./html/jquery*.js ./html/viz.js ./js-src/
DEB_UPSTREAM_REPACKAGE_DELIMITER := +
DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake
DEB_ENABLE_TESTS := $(shell test -e /usr/lib/ghc/bin/ghci && echo yes)
DEB_GHC_EXTRA_PACKAGES := libghc-shake-data (>= $(CABAL_VERSION))

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/hlibrary.mk

html/jquery.js: /usr/share/javascript/jquery/jquery.js
	ln -sf $< $@

html/jquery.flot.js: /usr/share/javascript/jquery-flot/jquery.flot.js
	ln -sf $< $@

html/jquery.flot.stack.js: /usr/share/javascript/jquery-flot/jquery.flot.stack.js
	ln -sf $< $@

html/viz.js:
	touch $@

# Create versions of the files we stripped from the upstream tarball that
# are good enough to pass tests.
check-ghc-stamp: html/jquery.js html/jquery.flot.js html/jquery.flot.stack.js html/viz.js

install/libghc-shake-data:: debian/tmp-inst-ghc
	mv debian/tmp-inst-ghc/usr/share/shake debian/libghc-shake-data/usr/share

binary-post-install/libghc-shake-data::
	dh_linktree -p$(cdbs_curpkg)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://hackage.haskell.org/package/shake/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-shake 0.15.2+dfsg

=== debian/changelog ===
haskell-shake (0.15.2+dfsg-2) unstable; urgency=medium

  * Disable test suite on powerpc, due to #789458

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Jun 2015 09:52:25 +0200

haskell-shake (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 13 Jun 2015 16:33:54 +0200

haskell-shake (0.13.2+dfsg-5) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:53:22 +0200

haskell-shake (0.13.2+dfsg-4) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 19:47:05 +0100

haskell-shake (0.13.2+dfsg-3) unstable; urgency=medium

  * Rebuild against latest libjs-jquery-flot.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Nov 2014 10:10:43 +0000

=== debian/control ===
Source: haskell-shake
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.9)
  , ghc
  , ghc-prof
  , libghc-hashable-dev (>= 1.1.2.3)
  , libghc-hashable-prof
  , libghc-random-dev
  , libghc-random-prof
  , libghc-unordered-containers-dev (>= 0.2.1)
  , libghc-unordered-containers-prof
  , libghc-utf8-string-dev (>= 0.3)
  , libghc-utf8-string-prof
  , libghc-quickcheck2-dev (>= 2.0)
  , libghc-js-jquery-dev
  , libghc-js-jquery-data
  , libghc-js-jquery-prof
  , libghc-js-flot-dev
  , libghc-js-flot-data
  , libghc-js-flot-prof
  , libghc-extra-dev
  , libghc-extra-prof
Build-Depends-Indep: ghc-doc
  , libghc-hashable-doc
  , libghc-random-doc
  , libghc-unordered-containers-doc
  , libghc-utf8-string-doc
  , libghc-js-jquery-doc
  , libghc-js-flot-doc
  , libghc-extra-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/shake
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-shake
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-shake
X-Description: Haskell library for writing build systems
 Shake is a Haskell library for writing build systems - designed as a
 replacement for make.
 .
 To use Shake the user writes a Haskell program that imports
 Development.Shake, defines some build rules, and calls the
 Development.Shake.shakeArgs function. Thanks to do notation and infix
 operators, a simple Shake build system is not too dissimilar from a simple
 Makefile. However, as build systems get more complex, Shake is able to take
 advantage of the excellent abstraction facilities offered by Haskell and
 easily support much larger projects. The Shake library provides all the
 standard features available in other build systems, including automatic
 parallelism and minimal rebuilds. Shake also provides more accurate
 dependency tracking, including seamless support for generated files, and
 dependencies on system information (e.g. compiler version).

Package: libghc-shake-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libghc-shake-data (>= ${source:Version})
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-data
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
  , ${haskell:Extra-Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}; data files
 ${haskell:LongDescription}
 .
 This package contains the data files needed to use the library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_URL = http://hackage.haskell.org/package/shake-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_PACKAGE := shake
DEB_UPSTREAM_REPACKAGE_EXCLUDES := ./html/viz.js
DEB_UPSTREAM_REPACKAGE_DELIMITER := +
DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake

# tests fail on powerpc, due to ghc’s #789458
DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq (,$(filter $(DEB_BUILD_ARCH),powerpc))
DEB_ENABLE_TESTS := $(shell test -e /usr/bin/ghci && echo yes)
else
DEB_ENABLE_TESTS := no
endif

DEB_GHC_EXTRA_PACKAGES := libghc-shake-data (>= $(CABAL_VERSION))

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/hlibrary.mk

html/viz.js:
	touch $@

# Create versions of the files we stripped from the upstream tarball that
# are good enough to pass tests.
check-ghc-stamp: html/viz.js

install/libghc-shake-data:: debian/tmp-inst-ghc
	mv debian/tmp-inst-ghc/usr/share/shake debian/libghc-shake-data/usr/share
	dh_haskell_depends -plibghc-shake-data # for haskell:Extra-Depends substvar

## haskell-shake 0.15.5+dfsg

=== debian/changelog ===
haskell-shake (0.15.5+dfsg-4build2) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 22:29:59 +0000

haskell-shake (0.15.5+dfsg-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Dec 2015 00:10:22 +0000

haskell-shake (0.15.5+dfsg-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:03 -0500

haskell-shake (0.15.5+dfsg-3) experimental; urgency=medium

  * Run the testsuite in an UTF locale

 -- Joachim Breitner <nomeata@debian.org>  Fri, 11 Sep 2015 21:58:37 +0200

haskell-shake (0.15.5+dfsg-2) experimental; urgency=medium

  * Disable the test suite on architectures without a threaded runtime, due to
    https://github.com/haskell/cabal/issues/2398
  * Recover Files-Excluded: line in debian/copyright

 -- Joachim Breitner <nomeata@debian.org>  Sat, 22 Aug 2015 09:43:25 +0200

haskell-shake (0.15.5-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:41 +0200

=== debian/control ===
Source: haskell-shake
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-extra-dev (>= 1.3),
 libghc-extra-prof,
 libghc-hashable-dev (>= 1.1.2.3),
 libghc-hashable-prof,
 libghc-js-flot-dev,
 libghc-js-flot-prof,
 libghc-js-flot-data,
 libghc-js-jquery-dev,
 libghc-js-jquery-prof,
 libghc-js-jquery-data,
 libghc-old-time-dev,
 libghc-old-time-prof,
 libghc-random-dev,
 libghc-random-prof,
 libghc-unordered-containers-dev (>= 0.2.1),
 libghc-unordered-containers-prof,
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-prof,
 libghc-quickcheck2-dev (>= 2.0),
Build-Depends-Indep: ghc-doc,
 libghc-extra-doc,
 libghc-hashable-doc,
 libghc-js-flot-doc,
 libghc-js-jquery-doc,
 libghc-old-time-doc,
 libghc-random-doc,
 libghc-unordered-containers-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.6
Homepage: http://shakebuild.com
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: Haskell library for writing build systems
 Shake is a Haskell library for writing build systems - designed as a
 replacement for make.
 .
 To use Shake the user writes a Haskell program that imports
 Development.Shake, defines some build rules, and calls the
 Development.Shake.shakeArgs function. Thanks to do notation and infix
 operators, a simple Shake build system is not too dissimilar from a simple
 Makefile. However, as build systems get more complex, Shake is able to take
 advantage of the excellent abstraction facilities offered by Haskell and
 easily support much larger projects. The Shake library provides all the
 standard features available in other build systems, including automatic
 parallelism and minimal rebuilds. Shake also provides more accurate
 dependency tracking, including seamless support for generated files, and
 dependencies on system information (e.g. compiler version).

Package: libghc-shake-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libghc-shake-data (>= ${source:Version}),
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-data
Architecture: all
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${haskell:Extra-Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}; data files
 ${haskell:LongDescription}
 .
 This package contains the data files needed to use the library.

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,17 @@
 DEB_UPSTREAM_REPACKAGE_DELIMITER := +
 DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake
 
-# tests fail on powerpc, due to ghc’s #789458
-DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-ifeq (,$(filter $(DEB_BUILD_ARCH),powerpc))
-DEB_ENABLE_TESTS := $(shell test -e /usr/bin/ghci && echo yes)
-else
-DEB_ENABLE_TESTS := no
+ifeq (yes,$(shell test -e /usr/bin/ghci && echo yes))
+# https://github.com/haskell/cabal/issues/2398
+ifeq (yes,$(shell ghc --info | grep -q 'Support SMP.*YES' && echo yes))
+DEB_ENABLE_TESTS := yes
 endif
+endif
+
+# unicode problems in the testsuite
+check-ghc-stamp: export LANG := en_US.UTF-8
+check-ghc-stamp: export LC_ALL := C.UTF-8
+
 
 DEB_GHC_EXTRA_PACKAGES := libghc-shake-data (>= $(CABAL_VERSION))

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
http://hackage.haskell.org/package/shake/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-shake 0.15.6+dfsg

=== debian/changelog ===
haskell-shake (0.15.6+dfsg-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'

  [ Joachim Breitner ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Use dversionmangle in d/watch file to remove the Debian specific suffix

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:27:52 +0200

haskell-shake (0.15.5+dfsg-6) unstable; urgency=medium

  * debian/rules: Adjust for arch-all-only-building

 -- Joachim Breitner <nomeata@debian.org>  Wed, 20 Apr 2016 09:12:21 +0200

haskell-shake (0.15.5+dfsg-5) unstable; urgency=medium

  * Bump to Standards-Version 3.9.8.

 -- Clint Adams <clint@debian.org>  Sun, 17 Apr 2016 15:40:39 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-extra-dev (>= 1.3),
+ libghc-extra-dev (>= 1.4.3),
  libghc-extra-prof,
  libghc-hashable-dev (>= 1.1.2.3),
  libghc-hashable-prof,
@@ -18,28 +18,26 @@
  libghc-js-jquery-dev,
  libghc-js-jquery-prof,
  libghc-js-jquery-data,
- libghc-old-time-dev,
- libghc-old-time-prof,
  libghc-random-dev,
  libghc-random-prof,
  libghc-unordered-containers-dev (>= 0.2.1),
  libghc-unordered-containers-prof,
  libghc-utf8-string-dev (>= 0.3),
  libghc-utf8-string-prof,
+ libghc-primitive-dev,
  libghc-quickcheck2-dev (>= 2.0),
 Build-Depends-Indep: ghc-doc,
  libghc-extra-doc,
  libghc-hashable-doc,
  libghc-js-flot-doc,
  libghc-js-jquery-doc,
- libghc-old-time-doc,
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://shakebuild.com
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 X-Description: Haskell library for writing build systems
  Shake is a Haskell library for writing build systems - designed as a
  replacement for make.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # Create versions of the files we stripped from the upstream tarball that
 # are good enough to pass tests.
-check-ghc-stamp: html/viz.js
+build-ghc-stamp: html/viz.js
 
 install/libghc-shake-data:: debian/tmp-inst-ghc
 	mv debian/tmp-inst-ghc/usr/share/shake debian/libghc-shake-data/usr/share

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
http://hackage.haskell.org/package/shake/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-shake 0.15.10

=== debian/changelog ===
haskell-shake (0.15.10-1build1) yakkety; urgency=medium

  * No-change rebuild against libghc-unordered-containers-dev-0.2.7.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Jul 2016 06:53:04 +0000

haskell-shake (0.15.10-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 17:13:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-shake
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Priority: extra
 Section: haskell
@@ -8,7 +9,7 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-extra-dev (>= 1.4.3),
+ libghc-extra-dev (>= 1.4.8),
  libghc-extra-prof,
  libghc-hashable-dev (>= 1.1.2.3),
  libghc-hashable-prof,

## haskell-shake 0.15.10+dfsg

=== debian/changelog ===
haskell-shake (0.15.10+dfsg-2build3) zesty; urgency=medium

  * debian/patches/9ccc022e5b02343ac48ce1d4245c9082f6ab86ef.patch:
    fix build with new Process. (from upstream)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2017 07:49:40 +0100

haskell-shake (0.15.10+dfsg-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:04 -0400

haskell-shake (0.15.10+dfsg-1) experimental; urgency=medium

  * Add '+dfsg' suffix to package version.
    File 'html/viz.js' has been removed from upstream package.
  * Remove 'upstream-tarball' CDBS rule.
    Use uscan to repack the upstream tarball.
  * Update d/copyright file (bump Copyright years)

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 25 Oct 2016 14:23:24 +0300

haskell-shake (0.15.10-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 00:44:23 -0400

## haskell-shake 0.15.11

=== debian/changelog ===
haskell-shake (0.15.11-1build4) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 06:36:37 +0000

haskell-shake (0.15.11-1build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 10:40:44 +0200

haskell-shake (0.15.11-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 11:50:09 +0200

haskell-shake (0.15.11-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 18:26:52 +0200

haskell-shake (0.15.11-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:11:47 -0400

=== debian/control ===
Source: haskell-shake
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-extra-dev (>= 1.4.8),
 libghc-extra-prof,
 libghc-hashable-dev (>= 1.1.2.3),
 libghc-hashable-prof,
 libghc-js-flot-data,
 libghc-js-flot-dev,
 libghc-js-flot-prof,
 libghc-js-jquery-data,
 libghc-js-jquery-dev,
 libghc-js-jquery-prof,
 libghc-primitive-dev,
 libghc-quickcheck2-dev (>= 2.0),
 libghc-random-dev,
 libghc-random-prof,
 libghc-unordered-containers-dev (>= 0.2.1),
 libghc-unordered-containers-prof,
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-extra-doc,
 libghc-hashable-doc,
 libghc-js-flot-doc,
 libghc-js-jquery-doc,
 libghc-random-doc,
 libghc-unordered-containers-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.8
Homepage: http://shakebuild.com
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-shake
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: Haskell library for writing build systems
 Shake is a Haskell library for writing build systems - designed as a
 replacement for make.
 .
 To use Shake the user writes a Haskell program that imports
 Development.Shake, defines some build rules, and calls the
 Development.Shake.shakeArgs function. Thanks to do notation and infix
 operators, a simple Shake build system is not too dissimilar from a simple
 Makefile. However, as build systems get more complex, Shake is able to take
 advantage of the excellent abstraction facilities offered by Haskell and
 easily support much larger projects. The Shake library provides all the
 standard features available in other build systems, including automatic
 parallelism and minimal rebuilds. Shake also provides more accurate
 dependency tracking, including seamless support for generated files, and
 dependencies on system information (e.g. compiler version).

Package: libghc-shake-dev
Architecture: any
Depends:
 libghc-shake-data (>= ${source:Version}),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-shake-data
Architecture: all
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}; data files
 ${haskell:LongDescription}
 .
 This package contains the data files needed to use the library.

## haskell-shake 0.15.11+dfsg

=== src/Test/MakeTutor/Makefile ===
# From http://www.cs.colby.edu/maxwell/courses/tutorials/maketutor/, Makefile 4

CC=gcc
CFLAGS=-I.
DEPS = hellomake.h
OBJ = hellomake.o hellofunc.o 

hellomake$(EXE): $(OBJ)
	$(CC) -o $@ $^ $(CFLAGS)

%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

.PHONY: clean
clean:
	rm hellomake$(EXE)
	rm *.o

=== debian/changelog ===
haskell-shake (0.15.11+dfsg-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Upload again with correct version number.
    This was breaking `dht make-all`.

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.3.

 -- Clint Adams <clint@debian.org>  Thu, 28 Dec 2017 23:05:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: haskell-shake
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -38,7 +37,7 @@
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://shakebuild.com
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-shake
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,5 @@
 #!/usr/bin/make -f
 
-DEB_UPSTREAM_URL = http://hackage.haskell.org/package/shake-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_PACKAGE := shake
-DEB_UPSTREAM_REPACKAGE_EXCLUDES := ./html/viz.js
-DEB_UPSTREAM_REPACKAGE_DELIMITER := +
 DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake
 
 ifeq (yes,$(shell test -e /usr/bin/ghci && echo yes))
@@ -21,7 +17,6 @@
 DEB_GHC_EXTRA_PACKAGES := libghc-shake-data (>= $(CABAL_VERSION))
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
 
 html/viz.js:

## haskell-shake 0.16.4

=== debian/changelog ===
haskell-shake (0.16.4-2) unstable; urgency=medium

  * Patch test7.ninja to cd to /tmp instead of
    potentially-nonexistent homedir.

 -- Clint Adams <clint@debian.org>  Sat, 21 Apr 2018 15:23:45 -0400

haskell-shake (0.16.4-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:04:18 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-extra-dev (>= 1.4.8),
+ libghc-extra-dev (>= 1.6.1),
  libghc-extra-prof,
  libghc-hashable-dev (>= 1.1.2.3),
  libghc-hashable-prof,
@@ -21,26 +21,27 @@
  libghc-js-jquery-dev,
  libghc-js-jquery-prof,
  libghc-primitive-dev,
- libghc-quickcheck2-dev (>= 2.0),
+ libghc-primitive-prof,
  libghc-random-dev,
  libghc-random-prof,
- libghc-unordered-containers-dev (>= 0.2.1),
+ libghc-unordered-containers-dev (>= 0.2.7),
  libghc-unordered-containers-prof,
  libghc-utf8-string-dev (>= 0.3),
  libghc-utf8-string-prof,
-Build-Depends-Indep:
- ghc-doc,
+ libghc-quickcheck2-dev (>= 2.0),
+Build-Depends-Indep: ghc-doc,
  libghc-extra-doc,
  libghc-hashable-doc,
  libghc-js-flot-doc,
  libghc-js-jquery-doc,
+ libghc-primitive-doc,
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.1.3
-Homepage: http://shakebuild.com
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-shake
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Standards-Version: 4.1.4
+Homepage: https://shakebuild.com
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-shake
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 X-Description: Haskell library for writing build systems
  Shake is a Haskell library for writing build systems - designed as a
  replacement for make.

## haskell-shake 0.16.4%2Bdfsg

=== debian/changelog ===
haskell-shake (0.16.4+dfsg-4) unstable; urgency=medium

  * Disable tests for now, looks like the testsuite is not compatible with ghc
    8.6.5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2019 12:59:19 +0200

haskell-shake (0.16.4+dfsg-3) unstable; urgency=medium

  * Disable testsuite on armhf, fails on Ubuntu builders, probably
    due to a misalignment bug due to 64bit kernel.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Dec 2018 11:30:40 +0100

haskell-shake (0.16.4+dfsg-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:20:32 +0300

haskell-shake (0.16.4+dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Repack tarball, since we should exclude viz.js file.
    - thanks Sven Bartscher for the hint

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jul 2018 10:35:31 +0200

## haskell-shake 0.16.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Colin Watson <cjwatson@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 9),
@@ -41,7 +42,7 @@
 Standards-Version: 4.1.4
 Homepage: https://shakebuild.com
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-shake
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-shake]
 X-Description: Haskell library for writing build systems
  Shake is a Haskell library for writing build systems - designed as a
  replacement for make.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
 endif
 
 # unicode problems in the testsuite
-check-ghc-stamp: export LANG := en_US.UTF-8
 check-ghc-stamp: export LC_ALL := C.UTF-8
-
 
 DEB_GHC_EXTRA_PACKAGES := libghc-shake-data (>= $(CABAL_VERSION))

## haskell-shake 0.19.1

=== debian/changelog ===
haskell-shake (0.19.1-2build1) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 22:36:36 +0000

haskell-shake (0.19.1-2) unstable; urgency=medium

  * Add build dependency on haskell-js-dgtable-utils.

 -- Clint Adams <clint@debian.org>  Sun, 06 Sep 2020 07:15:30 -0400

haskell-shake (0.19.1-1) unstable; urgency=medium

  [ Colin Watson ]
  * Mark haskell-shake-data as Multi-Arch: foreign.

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 05 Sep 2020 18:23:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-shake
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
 Priority: optional
@@ -7,17 +8,23 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-extra-dev (>= 1.6.1),
+ libghc-extra-dev (>= 1.6.19),
  libghc-extra-prof,
+ libghc-filepattern-dev,
+ libghc-filepattern-prof,
  libghc-hashable-dev (>= 1.1.2.3),
  libghc-hashable-prof,
- libghc-js-flot-data,
+ libghc-heaps-dev (>= 0.3.6.1),
+ libghc-heaps-prof,
+ libghc-js-dgtable-dev,
+ libghc-js-dgtable-prof,
  libghc-js-flot-dev,
  libghc-js-flot-prof,
+ libghc-js-flot-data,
  libghc-js-jquery-data,
  libghc-js-jquery-dev,
  libghc-js-jquery-prof,
@@ -29,17 +36,23 @@
  libghc-unordered-containers-prof,
  libghc-utf8-string-dev (>= 0.3),
  libghc-utf8-string-prof,
+ libghc-file-embed-dev (>= 0.0.11),
+ libghc-file-embed-prof,
+ haskell-js-dgtable-utils,
  libghc-quickcheck2-dev (>= 2.0),
 Build-Depends-Indep: ghc-doc,
  libghc-extra-doc,
+ libghc-filepattern-doc,
  libghc-hashable-doc,
+ libghc-heaps-doc,
+ libghc-js-dgtable-doc,
  libghc-js-flot-doc,
  libghc-js-jquery-doc,
  libghc-primitive-doc,
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://shakebuild.com
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-shake
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-shake]
@@ -110,6 +123,7 @@
 
 Package: libghc-shake-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${haskell:Depends},
  ${haskell:Extra-Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,7 @@
 
 DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake
 
-ifeq (yes,$(shell test -e /usr/bin/ghci && echo yes))
-# https://github.com/haskell/cabal/issues/2398
-ifeq (yes,$(shell ghc --info | grep -q 'Support SMP.*YES' && echo yes))
-DEB_ENABLE_TESTS := yes
-endif
-endif
+DEB_ENABLE_TESTS := no
 
 # unicode problems in the testsuite
 check-ghc-stamp: export LC_ALL := C.UTF-8

## haskell-shake 0.19.6

=== debian/changelog ===
haskell-shake (0.19.6-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 22 Jul 2022 19:03:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-shake
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
 Priority: optional
@@ -43,6 +42,7 @@
 Build-Depends-Indep: ghc-doc,
  libghc-extra-doc,
  libghc-filepattern-doc,
+ libghc-file-embed-doc,
  libghc-hashable-doc,
  libghc-heaps-doc,
  libghc-js-dgtable-doc,
@@ -52,7 +52,7 @@
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://shakebuild.com
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-shake
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-shake]

## haskell-shake 0.19.7

=== debian/changelog ===
haskell-shake (0.19.7-2build4) oracular; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 May 2024 11:51:51 +0200

haskell-shake (0.19.7-2build3) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:41:59 +0100

haskell-shake (0.19.7-2build2) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:37:38 +0100

haskell-shake (0.19.7-2build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Nov 2023 09:24:56 +0100

haskell-shake (0.19.7-2) unstable; urgency=medium

  [ Colin Watson ]
  * Remove myself from Uploaders.

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 13 Sep 2023 13:39:15 +0300

haskell-shake (0.19.7-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 24 Oct 2022 11:09:27 +0300

haskell-shake (0.19.6-2) unstable; urgency=medium

  * Depend on newer haskell-devscripts to avoid duplicate
    extra-packages issue.  closes: #1016506.

 -- Clint Adams <clint@debian.org>  Wed, 07 Sep 2022 12:00:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: haskell-shake
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders:
- Colin Watson <cjwatson@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-extra-dev (>= 1.6.19),
+ libghc-extra-dev (>= 1.6.28),
  libghc-extra-prof,
  libghc-filepattern-dev,
  libghc-filepattern-prof,
@@ -52,7 +50,7 @@
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://shakebuild.com
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-shake
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-shake]

## haskell-shake 0.19.8

=== debian/changelog ===
haskell-shake (0.19.8-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 05 Oct 2024 09:07:37 +0300

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
  libghc-random-doc,
  libghc-unordered-containers-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://shakebuild.com
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-shake
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-shake]

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake
+DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/shake -ffile-embed
 
 DEB_ENABLE_TESTS := no

=== debian/watch ===
version=3
https://hackage.haskell.org/package/shake/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
